| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
HostData Class Reference
Network

Host name and aliases. More...

`#include <hostdata.h>`

## Public Types
enum | PathType { Appl , Data }

## Public Member Functions
| HostData (const char *nm)
| HostData (const char *nm, const HostData &localhost, const OD::Platform &)
| HostData (const HostData &)
virtual | ~HostData ()
void | addAlias (const char *)
| only adds if !isKnownAs
const char * | alias (int idx) const
BufferString | connAddress () const
FilePath | convPath (PathType pt, const char *fn, const HostData *from=0) const
FilePath | convPath (PathType pt, const FilePath &, const HostData *from=0) const
void | fillPar (IOPar &) const
const FilePath & | getDataRoot () const
BufferString | getFullDispString () const
const char * | getHostName (bool full=true) const
const char * | getIPAddress () const
const OD::Platform & | getPlatform () const
bool | isKnownAs (const char *) const
| true if name or an alias matches
bool | isLocalHost () const
bool | isOK (uiString &errmsg, const char *defaultdataroot, const char *localaddr, int prefixlength) const
bool | isStaticIP () const
bool | isWindows () const
const HostData & | localHost () const
int | nrAliases () const
| Host name or IP address to be used for a connection.
HostData & | operator= (const HostData &)
FilePath::Style | pathStyle () const
const FilePath & | prefixFilePath (PathType) const
| As is on remote host.
void | setAlias (const char *)
void | setDataRoot (const FilePath &)
void | setHostName (const char *)
void | setIPAddress (const char *)
void | setLocalHost (const HostData &hd)
void | setPlatform (const OD::Platform &)
void | usePar (const IOPar &)

## Static Public Member Functions
static const char * | localHostName ()
| shortcut to GetLocalHostName()

## Protected Member Functions
| HostData (const char *nm, const OD::Platform &)
void | init (const char *nm)

## Protected Attributes
BufferStringSet | aliases_
FilePath | appl_pr_
FilePath | data_pr_
BufferString | hostname_
BufferString | ipaddress_
const HostData * | localhd_ = nullptr
OD::Platform | platform_
bool | staticip_ = false

## Friends
class | HostDataList

## Detailed Description

Host name and aliases.

<>

## Member Enumeration Documentation

## ◆ PathType

enum HostData::PathType

Enumerator
Appl |
Data |

## Constructor & Destructor Documentation

## ◆ HostData() [1/4]

HostData::HostData | ( | const char * | nm | ) |

## ◆ HostData() [2/4]

HostData::HostData | ( | const char * | nm,
|  | const HostData & | localhost,
|  | const OD::Platform & | )

## ◆ HostData() [3/4]

HostData::HostData | ( | const HostData & |  | ) |

## ◆ ~HostData()

virtual HostData::~HostData | ( |  | ) |
| virtual

## ◆ HostData() [4/4]

HostData::HostData | ( | const char * | nm,
|  | const OD::Platform & | )
| protected

## Member Function Documentation

## ◆ addAlias()

void HostData::addAlias | ( | const char * |  | ) |

only adds if !isKnownAs

## ◆ alias()

const char * HostData::alias | ( | int | idx | ) | const
| inline

## ◆ connAddress()

BufferString HostData::connAddress | ( |  | ) | const

## ◆ convPath() [1/2]

FilePath HostData::convPath | ( | PathType | pt,
|  | const char * | fn,
|  | const HostData * | from = 0 ) const
| inline

## ◆ convPath() [2/2]

FilePath HostData::convPath | ( | PathType | pt,
|  | const FilePath & | ,
|  | const HostData * | from = 0 ) const

## ◆ fillPar()

void HostData::fillPar | ( | IOPar & |  | ) | const

## ◆ getDataRoot()

const FilePath & HostData::getDataRoot | ( |  | ) | const

## ◆ getFullDispString()

BufferString HostData::getFullDispString | ( |  | ) | const

## ◆ getHostName()

const char * HostData::getHostName | ( | bool | full = true | ) | const

## ◆ getIPAddress()

const char * HostData::getIPAddress | ( |  | ) | const

## ◆ getPlatform()

const OD::Platform & HostData::getPlatform | ( |  | ) | const

## ◆ init()

void HostData::init | ( | const char * | nm | ) |
| protected

## ◆ isKnownAs()

bool HostData::isKnownAs | ( | const char * |  | ) | const

true if name or an alias matches

## ◆ isLocalHost()

bool HostData::isLocalHost | ( |  | ) | const

## ◆ isOK()

bool HostData::isOK | ( | uiString & | errmsg,
|  | const char * | defaultdataroot,
|  | const char * | localaddr,
|  | int | prefixlength ) const

## ◆ isStaticIP()

bool HostData::isStaticIP | ( |  | ) | const

## ◆ isWindows()

bool HostData::isWindows | ( |  | ) | const

## ◆ localHost()

const HostData & HostData::localHost | ( |  | ) | const
| inline

## ◆ localHostName()

static const char * HostData::localHostName | ( |  | ) |
| static

shortcut to GetLocalHostName()

## ◆ nrAliases()

int HostData::nrAliases | ( |  | ) | const
| inline

Host name or IP address to be used for a connection.

## ◆ operator=()

HostData & HostData::operator= | ( | const HostData & |  | ) |

## ◆ pathStyle()

FilePath::Style HostData::pathStyle | ( |  | ) | const

## ◆ prefixFilePath()

const FilePath & HostData::prefixFilePath | ( | PathType |  | ) | const

As is on remote host.

## ◆ setAlias()

void HostData::setAlias | ( | const char * |  | ) |

## ◆ setDataRoot()

void HostData::setDataRoot | ( | const FilePath & |  | ) |

## ◆ setHostName()

void HostData::setHostName | ( | const char * |  | ) |

## ◆ setIPAddress()

void HostData::setIPAddress | ( | const char * |  | ) |

## ◆ setLocalHost()

void HostData::setLocalHost | ( | const HostData & | hd | ) |
| inline

## ◆ setPlatform()

void HostData::setPlatform | ( | const OD::Platform & |  | ) |

## ◆ usePar()

void HostData::usePar | ( | const IOPar & |  | ) |

## Friends And Related Symbol Documentation

## ◆ HostDataList

friend class HostDataList
| friend

## Member Data Documentation

## ◆ aliases_

BufferStringSet HostData::aliases_
| protected

## ◆ appl_pr_

FilePath HostData::appl_pr_
| protected

## ◆ data_pr_

FilePath HostData::data_pr_
| protected

## ◆ hostname_

BufferString HostData::hostname_
| protected

## ◆ ipaddress_

BufferString HostData::ipaddress_
| protected

## ◆ localhd_

const HostData* HostData::localhd_ = nullptr
| protected

## ◆ platform_

OD::Platform HostData::platform_
| protected

## ◆ staticip_

bool HostData::staticip_ = false
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025